<template>
      <modal name="quit"
        classes="modal"
        :width=600
        :height="300"
        :adaptive="true
      ">
        <h1 class="title">Do you want to quit the project ? </h1>
          <FormulateForm class="modal-middle">
            <FormulateInput type="submit" @click="quitProject" input-class="btn-submit" label='Yes' />
            <FormulateInput type="submit" @click="closeModal" input-class="btn-submit" label='No' />
          </FormulateForm>
      </modal>
</template>

<script>

import Vuex from "vuex";

export default {
  name: 'confirmQuitProject',
  props: ['id'],
  computed: {
    ...Vuex.mapGetters(['user']),
  },
  methods: {
    ...Vuex.mapActions(['getUserProjects']),
    quitProject() {
        this.$axios.post(process.env.VUE_APP_API_URL + '/projects/remove/' + this.id + '/' + this.user.id)
            .then((res) => {
              console.log(res)
              this.$router.push({ name: 'dashboardUser' })
            })
    },
    closeModal() {
        this.$modal.hide('quit')
    }
  }
}
</script>

<style scoped>
.text {
  font-size: 17px;
  font-weight: 800;
  color: black;
}

.title {
  padding: 10px;
  margin: 0;
  width: 100%;
  border-bottom: 1px solid var(--color-primary-blue);
  text-align: left;
}

.modal-middle {
  padding: 50px 0 30px 0;
  display: flex;
  align-items: center;
  justify-content: space-evenly;
  width: 100%;
}

.formulate-input {
  margin: 0px;
}

.input-project-name label {
  margin-bottom: 8px;
}

</style>